java.awt

## Class Scrollbar.AccessibleAWTScrollBar

- java.lang.Object
- - javax.accessibility.AccessibleContext
  - - java.awt.Component.AccessibleAWTComponent
    - - java.awt.Scrollbar.AccessibleAWTScrollBar

All Implemented Interfaces:
  Serializable, AccessibleComponent, AccessibleValue

Enclosing class:
  Scrollbar

    protected class Scrollbar.AccessibleAWTScrollBar
    extends Component.AccessibleAWTComponent
    implements AccessibleValue

This class implements accessibility support for the `Scrollbar` class. It provides an implementation of the Java Accessibility API appropriate to scrollbar user-interface elements.

Since:
  1.3
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.awt.Component.AccessibleAWTComponent

`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

### Field Summary

### Fields inherited from class java.awt.Component.AccessibleAWTComponent

`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

### Fields inherited from class javax.accessibility.AccessibleContext

`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

### Constructor Summary

Constructors
`protected` `Scrollbar.AccessibleAWTScrollBar()`

### Method Summary

Methods
`AccessibleRole` `getAccessibleRole()` Get the role of this object.
`AccessibleStateSet` `getAccessibleStateSet()` Get the state set of this object.
`AccessibleValue` `getAccessibleValue()` Get the `AccessibleValue` associated with this object.
`Number` `getCurrentAccessibleValue()` Get the accessible value of this object.
`Number` `getMaximumAccessibleValue()` Get the maximum accessible value of this object.
`Number` `getMinimumAccessibleValue()` Get the minimum accessible value of this object.
`boolean` `setCurrentAccessibleValue(Number n)` Set the value of this object as a Number.

### Methods inherited from class java.awt.Component.AccessibleAWTComponent

`addFocusListener, addPropertyChangeListener, contains, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleName, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

### Methods inherited from class javax.accessibility.AccessibleContext

`firePropertyChange, getAccessibleAction, getAccessibleEditableText, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleText, setAccessibleDescription, setAccessibleName, setAccessibleParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Scrollbar.AccessibleAWTScrollBar

    protected Scrollbar.AccessibleAWTScrollBar()

### Method Detail

#### getAccessibleStateSet

    public AccessibleStateSet getAccessibleStateSet()

Get the state set of this object.

Overrides:
  `getAccessibleStateSet` in class `Component.AccessibleAWTComponent`
Returns:
  an instance of `AccessibleState` containing the current state of the object
See Also:
  `AccessibleState`

#### getAccessibleRole

    public AccessibleRole getAccessibleRole()

Get the role of this object.

Overrides:
  `getAccessibleRole` in class `Component.AccessibleAWTComponent`
Returns:
  an instance of `AccessibleRole` describing the role of the object
See Also:
  `AccessibleRole`

#### getAccessibleValue

    public AccessibleValue getAccessibleValue()

Get the `AccessibleValue` associated with this object. In the implementation of the Java Accessibility API for this class, return this object, which is responsible for implementing the `AccessibleValue` interface on behalf of itself.

Overrides:
  `getAccessibleValue` in class `AccessibleContext`
Returns:
  this object
See Also:
  `AccessibleValue`

#### getCurrentAccessibleValue

    public Number getCurrentAccessibleValue()

Get the accessible value of this object.

Specified by:
  `getCurrentAccessibleValue` in interface `AccessibleValue`
Returns:
  The current value of this object.
See Also:
  `AccessibleValue.setCurrentAccessibleValue(java.lang.Number)`

#### setCurrentAccessibleValue

    public boolean setCurrentAccessibleValue(Number n)

Set the value of this object as a Number.

Specified by:
  `setCurrentAccessibleValue` in interface `AccessibleValue`
Returns:
  True if the value was set.
See Also:
  `AccessibleValue.getCurrentAccessibleValue()`

#### getMinimumAccessibleValue

    public Number getMinimumAccessibleValue()

Get the minimum accessible value of this object.

Specified by:
  `getMinimumAccessibleValue` in interface `AccessibleValue`
Returns:
  The minimum value of this object.
See Also:
  `AccessibleValue.getMaximumAccessibleValue()`

#### getMaximumAccessibleValue

    public Number getMaximumAccessibleValue()

Get the maximum accessible value of this object.

Specified by:
  `getMaximumAccessibleValue` in interface `AccessibleValue`
Returns:
  The maximum value of this object.
See Also:
  `AccessibleValue.getMinimumAccessibleValue()`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.